# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "agnix-core"
version = "0.10.1"
authors = ["Avi Fenesh <avifenesh@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core validation engine for agent configurations"
homepage = "https://github.com/avifenesh/agnix"
readme = "README.md"
keywords = [
    "agent",
    "linter",
    "validation",
    "mcp",
    "skills",
]
categories = [
    "development-tools",
    "parser-implementations",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/avifenesh/agnix"
resolver = "2"

[lib]
name = "agnix_core"
path = "src/lib.rs"

[[test]]
name = "fix_integration"
path = "tests/fix_integration.rs"

[[test]]
name = "security_integration"
path = "tests/security_integration.rs"

[[test]]
name = "sync_send_check"
path = "tests/sync_send_check.rs"

[[bench]]
name = "fixtures"
path = "benches/fixtures.rs"

[[bench]]
name = "iai_validation"
path = "benches/iai_validation.rs"
harness = false

[[bench]]
name = "validation"
path = "benches/validation.rs"
harness = false

[dependencies.agnix-rules]
version = "0.10.1"

[dependencies.anyhow]
version = "1"

[dependencies.dirs]
version = "5"

[dependencies.glob]
version = "0.3"

[dependencies.ignore]
version = "0.4"

[dependencies.pulldown-cmark]
version = "0.13.0"

[dependencies.rayon]
version = "1.10"

[dependencies.regex]
version = "1"

[dependencies.rust-i18n]
version = "3.1"

[dependencies.schemars]
version = "0.8"
features = ["derive"]

[dependencies.semver]
version = "1"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.serde_yaml]
version = "0.9"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.toml]
version = "0.8"

[dev-dependencies.criterion]
version = "0.5"
features = ["html_reports"]

[dev-dependencies.iai-callgrind]
version = "0.14"

[dev-dependencies.proptest]
version = "1"

[dev-dependencies.tempfile]
version = "3"

[dev-dependencies.tracking-allocator]
version = "0.4"
